SQ-KEYRING(1)

NAME
sq-keyring - Manages collections of keys or certs

Collections of keys or certficicates (also known as "keyrings" when they contain secret key material, and "certrings" when they don't) are any number of concatenated certificates. This subcommand provides tools to list, split, join, merge, and filter keyrings.

Note: In the documentation of this subcommand, we sometimes use the terms keys and certs interchangeably.

SYNOPSIS
sq keyring [FLAGS] <SUBCOMMAND>

FLAGS

-h, --help
    Prints help information

SUBCOMMANDS

help
    Prints this message or the help of the given subcommand(s)

filter
    Joins keys into a keyring applying a filter

    This can be used to filter keys based on given predicates, e.g. whether they have a user id containing an email address with a certain domain. Additionally, the keys can be pruned to only include components matching the predicates.

    If no filters are supplied, everything matches.

    If multiple predicates are given, they are or'ed, i.e. a key matches if any of the predicates match. To require all predicates to match, chain multiple invocations of this command. See EXAMPLES for inspiration.

join
    Joins keys or keyrings into a single keyring

    Unlike "sq keyring merge", multiple versions of the same key are not merged together.

    The converse operation is "sq keyring split".

merge
    Merges keys or keyrings into a single keyring

    Unlike "sq keyring join", the certificates are buffered and multiple versions of the same certificate are merged together. Where data is replaced (e.g., secret key material), data from the later certificate is preferred.

list
    Lists keys in a keyring

    Prints the fingerprint as well one userid for every certificate encountered in the keyring.

split
    Splits a keyring into individual keys

    Splitting up a keyring into individual keys helps with curating a keyring.

    The converse operation is "sq keyring join".

SEE ALSO
For the full documentation see <https://docs.sequoia-pgp.org/sq/>.

sq(1), sq-armor(1), sq-autocrypt(1), sq-certify(1), sq-dearmor(1), sq-decrypt(1), sq-encrypt(1), sq-inspect(1), sq-key(1), sq-key-adopt(1), sq-key-attest-certifications(1), sq-key-extract-cert(1), sq-key-generate(1), sq-keyring(1), sq-keyring-filter(1), sq-keyring-join(1), sq-keyring-list(1), sq-keyring-merge(1), sq-keyring-split(1), sq-packet(1), sq-sign(1), sq-verify(1)

AUTHORS

    Azul <azul@sequoia-pgp.org>
    Igor Matuszewski <igor@sequoia-pgp.org>
    Justus Winter <justus@sequoia-pgp.org>
    Kai Michaelis <kai@sequoia-pgp.org>
    Neal H. Walfield <neal@sequoia-pgp.org>
    Nora Widdecke <nora@sequoia-pgp.org>
    Wiktor Kwapisiewicz <wiktor@sequoia-pgp.org>